import { Component } from '@angular/core';
import { BreadcrumbService } from '@app/commons/service/breadcrumb.service';
import { Router } from '@angular/router';
import { NoAuthProbe } from '@overflow/commons-typescript';

@Component({
  selector: 'of-pages-noauth-probe-list',
  templateUrl: './noauth-probe-list-page.component.html',
})
export class NoAuthProbeListPageComponent {


  constructor(
    private breadcrumbService: BreadcrumbService,
    private router: Router
  ) {
    breadcrumbService.setItems([
      { label: 'Probe', routerLink: ['/probe/list'] },
      { label: 'Unauthroized', routerLink: ['/probe/noauth'] },
    ]);
  }

  onNoAuthProbeSelect(noAuthProbe: NoAuthProbe) {
    this.router.navigate(['probe/noauth', noAuthProbe.id]);
  }
}
